Bug 4847 - Python required for Debian package builds
Summary: Python required for Debian package builds
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-02 04:23 UTC by Lars Wirzenius
Modified: 2015-12-03 22:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 4847: Remove the python dependency for package builds (3.02 KB, patch)
2015-03-24 12:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 4847: Remove the python dependency for package builds (3.14 KB, patch)
2015-03-25 01:37 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wirzenius 2010-06-02 04:23:10 UTC
The Debian package build includes a script (debian/bd-to-depends) written
in Python. This requires having Python as a build depdencency. That's
the only reason Python is required, so it is an unnecessary dependency.

Re-writing the script in Perl would fix that. Then dropping python and 
python-debian from the build dependencies would be possible.

(Note that this only applies to _build_ dependencies, not run-time
dependencies of the installed packages.)
Comment 1 Katrin Fischer 2013-04-13 19:24:46 UTC
Resetting version.
Comment 2 Jonathan Druart 2015-03-24 12:27:13 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-03-24 12:28:39 UTC
Robin, as the package guru, I really would like to get your opinion on this patch :)
Comment 4 Robin Sheat 2015-03-25 01:37:18 UTC
Created attachment 37201 [details] [review]
Bug 4847: Remove the python dependency for package builds

The only place python is used is in the debian/bd-to-depends script.
This patch rewrite this script using perl.

Test plan:
The execution of
  debian/bd-to-depends
Should return the same output.

Signed-off-by: Robin Sheat <robin@catalyst.net.nz>
Checked output, built a package, all is happy. Yay for no python!
Comment 5 Tomás Cohen Arazi 2015-03-25 14:30:58 UTC
Patch pushed to master.

I love this one Jonathan!